Package uk.ac.starlink.ecsv

# Interface EcsvMeta

public interface EcsvMeta
Metadata structure read from an ECSV file.

Since:
  28 Apr 2020
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`EcsvColumn<?>[]`
`getColumns()`
Returns an array of column metadata items for the columns in the table.
`char`
`getDelimiter()`
Returns the delimiter character used for this file.
`String`
`getSchema()`
Returns the schema string if present.
`Map<?,?>`
`getTableMeta()`
Returns a structure giving per-table metadata, as read from the ECSV header.

## Method Details

### getDelimiter

char getDelimiter()
Returns the delimiter character used for this file. It must be either ' ' or ','.

Returns:
  comma or space

### getColumns

EcsvColumn<?>[] getColumns()
Returns an array of column metadata items for the columns in the table.

Returns:
  column metadata array

### getTableMeta

Map<?,?> getTableMeta()
Returns a structure giving per-table metadata, as read from the ECSV header.

Returns:
  table metadata structure

### getSchema

String getSchema()
Returns the schema string if present.

Returns:
  schema string, or null